Index: trunk/admin/admin.php
===================================================================
--- trunk/admin/admin.php	(revision 399)
+++ trunk/admin/admin.php	(revision 400)
@@ -387,6 +387,4 @@
 $admincomune=$row[1];
 $oper=$row[2]; 
-	
-#if (($adminsuper==1 || $admincomune==1 || $adminop==1)) {
 	if ($adminsuper==1)
 		return 256;
@@ -397,23 +395,14 @@
 	else {
 		$oggi=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-3,date("Y")));
-		$sql="SELECT id_sez FROM ".$prefix."_ele_operatori where  aid='$aid' and permessi>0 and id_cons in (select t1.id_cons from ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_consultazione as t2 where t1.id_cons_gen=t2.id_cons_gen and t1.id_comune='$id_comune' and t2.data_fine>$oggi)";		
+		$sql="select t1.id_cons from ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_consultazione as t2 where t1.id_cons_gen=t2.id_cons_gen and t1.id_cons_gen='$id_cons_gen' and t1.chiusa='0' and t1.id_comune='$id_comune' and t2.data_fine>$oggi";
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();	#die("TEST: $sql");	
-		if($sth->rowCount()) {$perms=16; return $perms;}
-		else {$msglogout=1; return 0;}
-	}
-/*	$sth = $dbi->prepare("select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'");
-	$sth->execute();	
-	$row = $sth->fetch(PDO::FETCH_BOTH);	
-	$id_cons=$row[0];
-	$sth = $dbi->prepare("select permessi from ".$prefix."_ele_operatori where id_cons='$id_cons' and aid='$aid' and id_comune='$id_comune'");
-		
-	$sth->execute();
-	list($perms)=$sth->fetch(PDO::FETCH_NUM);
-#	$row =  die("test:$sql".$row[0] );
-	if (!$perms) {die("qui: select permessi from ".$prefix."_ele_operatori where id_cons='$id_cons' and aid='$aid' and id_comune='$id_comune'");	$msglogout=1; $perms=0; }
-
-	return $perms; */
-#} else return 0;
+		if(!$sth->rowCount()) {$msglogout=1; $perms=0; return $perms;}
+		list($id_cons) = $sth->fetch(PDO::FETCH_NUM);
+		$sql="select permessi from ".$prefix."_ele_operatori where id_cons='$id_cons' and aid='$aid'";
+		$sth = $dbi->prepare("$sql");
+		$sth->execute();	#die("TEST: $sql");	
+		list($perms) = $sth->fetch(PDO::FETCH_NUM);
+	}
 }
 
Index: trunk/admin/modules/Elezioni/aggiornadb.php
===================================================================
--- trunk/admin/modules/Elezioni/aggiornadb.php	(revision 399)
+++ trunk/admin/modules/Elezioni/aggiornadb.php	(revision 400)
@@ -2,5 +2,7 @@
 
 #imposta il charset su utf8, qualsiasi altro valore per cambiarlo in latin1;
-$newcs='utf8'; 
+$newcs='utf8';
+global $ctrlerr; 
+
 /*
 @require_once("../../config.php"); 
@@ -27,4 +29,5 @@
 	{
 		$ret=0;
+		$ctrlerr=1;
 		echo "<br><span style=\"color: red;\">- Aggiornamento Fallito: $sql</span>";
 		return $ret;
@@ -40,4 +43,5 @@
 		{
 		  $ret=0;
+		  $ctrlerr=1;
 		  echo "<br><span style=\"color: red;\">- Aggiornamento Fallito: $sql2</span>";
 		  return $ret;
@@ -68,4 +72,5 @@
 		{
 			$ret=0;
+			$ctrlerr=1;
 			echo "<br><span style=\"color: red;\">- Tabella: $tab - Indice: $ind - Aggiornamento Fallito: $sql</span>";
 			return $ret;
@@ -81,4 +86,5 @@
 		{
 		  $ret=0;
+		  $ctrlerr=1;
 		  echo "<br><span style=\"color: red;\">- Tabella: $tab - Indice: $ind - Aggiornamento Fallito: $sql2</span>";
 		  return $ret;
@@ -117,4 +123,18 @@
 }else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_authors non richiede questo aggiornamento</span><br>";	
 
+$sql="SELECT * from `".$prefix."_ele_widget WHERE `soraldo_ele_widget`.`id` = 29";
+$res = $dbi->prepare("$sql");
+$res->execute();
+if($res->rowCount()) {
+	$sql="DELETE FROM soraldo_ele_widget WHERE `soraldo_ele_widget`.`id` = 29";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	echo "<br> Il record cookie_law.php Ãš stato eliminato dalla tabella dei widget, usare privacy.php<br>";
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_widget non richiede questo aggiornamento</span><br>";
+if(!controllo($prefix.'_config','versione',++$num))
+{
+	$sql="alter table `".$prefix."_config` change column `Versione` `versione` int(3)";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_config non richiede questo aggiornamento</span><br>";
 if(!controllo($prefix.'_config','versione',++$num))
 {
Index: trunk/admin/modules/Elezioni/aggiornamento.php
===================================================================
--- trunk/admin/modules/Elezioni/aggiornamento.php	(revision 399)
+++ trunk/admin/modules/Elezioni/aggiornamento.php	(revision 400)
@@ -300,6 +300,7 @@
 }
 $righedb='';
+global $ctrlerr;
+$ctrlerr=0;
 if(file_exists($trunkadm."/modules/Elezioni/aggiornadb.php")) {
-	$ctrlerr=0;
 	ob_start();
 	include ('modules/Elezioni/aggiornadb.php');
Index: trunk/admin/modules/Elezioni/ele.php
===================================================================
--- trunk/admin/modules/Elezioni/ele.php	(revision 399)
+++ trunk/admin/modules/Elezioni/ele.php	(revision 400)
@@ -292,5 +292,5 @@
 
 	//echo "<hr /><a href=\"../client/modules.php\" target=\"_blank\">$bullet Guarda il sito</a><br /><hr />";
-	echo "<a href=\"admin.php?op=logout\">$bullet "._ESCI."</a>";
+	echo "<a href=\"admin.php?op=logout&msglogout=0\">$bullet "._ESCI."</a>";
 	echo "</td></tr></table>";
 	// continua la tabella su ele.voti con le sezioni
Index: trunk/admin/modules/Elezioni/query.sql
===================================================================
--- trunk/admin/modules/Elezioni/query.sql	(revision 399)
+++ trunk/admin/modules/Elezioni/query.sql	(revision 400)
@@ -97,5 +97,5 @@
 global $perms,$dbi,$prefix,$currentlang,$aid,$id_comune;
 	if ($perms<128) { 
-		$sql="select t3.id_cons, t2.descrizione,t4.genere, t2.id_cons_gen, t3.chiusa from ".$prefix."_ele_operatori as t1, ".$prefix."_ele_consultazione as t2, ".$prefix."_ele_cons_comune as t3, ".$prefix."_ele_tipo as t4 where t4.lingua='$currentlang' and t2.tipo_cons=t4.tipo_cons and t1.aid='$aid' and t3.id_cons_gen=t2.id_cons_gen and (t1.id_cons=t3.id_cons or t1.permessi=64) and t1.id_comune=t3.id_comune and t1.id_comune=$id_comune and t3.chiusa='0' order by t2.data_inizio desc";
+		$sql="select t3.id_cons, t2.descrizione,t4.genere, t2.id_cons_gen, t3.chiusa from ".$prefix."_ele_operatori as t1, ".$prefix."_ele_consultazione as t2, ".$prefix."_ele_cons_comune as t3, ".$prefix."_ele_tipo as t4 where t4.lingua='$currentlang' and t2.tipo_cons=t4.tipo_cons and t1.aid='$aid' and t1.permessi>0 and t3.id_cons_gen=t2.id_cons_gen and (t1.id_cons=t3.id_cons or t1.permessi=64) and t1.id_comune=t3.id_comune and t1.id_comune=$id_comune and t3.chiusa='0' order by t2.data_inizio desc";
 	}else{
 		$sql="SELECT '', t1.descrizione,t2.genere, t1.id_cons_gen,'' FROM ".$prefix."_ele_consultazione as t1,".$prefix."_ele_tipo as t2 where t2.lingua='$currentlang' and t1.tipo_cons=t2.tipo_cons order by t1.data_inizio desc";
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 399)
+++ trunk/admin/versione.php	(revision 400)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 399";
+$versione = "3.0 rev 400";
 $version_number = $versione;
-$datarel = "21 febbraio 2024";
+$datarel = "25 febbraio 2024";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
